% rescale axis
% pass figure number
%       scale factor
%       font
% use grpah_redoticks instead (here change labels)
function graph_axis_rescale(fignumb,scale,size_lb)
x=fignumb;
gg=get(figure(x),'Children')
zz=1;
for jj=1:length(gg);
tmp=get(gg(jj));
if isfield(tmp,'YTickLabel');
    zz=jj;
    break
end
end

    
gg=gg(zz:end);
if nargin<2
    scale=100;
    disp('Rescaling by 100')
end
for jj=1:length(gg)
set(gg(jj),'YTickLabel',str2num(get(gg(jj),'YTickLabel'))*scale)
if nargin==3
    set(gg(jj),'FontSize',size_lb)
end
end
pr=input('Print pdf figures? ')
if pr==1
print(figure(x),'-dpdf',regexprep(get(figure(x),'FileName'),'\.fig\>','.pdf'));
print(figure(x),'-depsc2',regexprep(get(figure(x),'FileName'),'\.fig\>','.eps'));

disp(['Figure printed as ',regexprep(get(figure(x),'FileName'),'\.fig\>','.pdf')]);
end